List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "openai/gpt-5.5"
},
{
"id": "openai/gpt-5.4-mini"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-3.1-pro-preview"
},
{
"id": "google/gemini-3.5-flash"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}엔드포인트
모델 목록
현재 공개 모델 카탈로그를 반환합니다.
GET
/
v1
/
models
List public models
이 엔드포인트로 현재 공개 모델 카탈로그를 조회하세요.
카탈로그는 구체적인 모델 ID보다 제공자 수준 latest 별칭을 먼저 포함합니다.
Anthropic Messages 엔드포인트는
openai-latestclaude-latestgoogle-latest
| 모델 선택 | 적합한 경우 |
|---|---|
openai-latest, claude-latest, google-latest | 한 번 구성한 뒤 Capriole AI가 권장 플래그십을 유지하게 할 때 |
openai/gpt-5.6-terra 같은 구체적인 모델 ID | 정확한 모델 버전을 고정할 때 |
POST /v1/chat와 POST /v1/chat/completions에서 latest 별칭은 다음과 같이 해석됩니다.
| Latest 별칭 | 해석 결과 |
|---|---|
openai-latest | openai/gpt-5.6-terra |
claude-latest | anthropic/claude-fable-5 |
google-latest | google/gemini-3.1-pro-preview |
| 엔드포인트 | Latest 별칭 |
|---|---|
POST /v1/chat | openai-latest, claude-latest, google-latest |
POST /v1/chat/completions | openai-latest, claude-latest, google-latest |
POST /v1/responses | openai-latest |
POST /v1/messages | claude-latest |
POST /v1/messages/count_tokens | claude-latest |
claude-fable-5, claude-opus-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6, claude-sonnet-4-6처럼 접두사 없는 구체적인 Claude Messages ID도 받습니다.
POST /v1/messages와 POST /v1/messages/count_tokens에서 claude-latest는 claude-fable-5로 해석되며, Chat 및 Chat Completions latest 별칭과 같습니다.
위에 나온 그대로의 별칭 ID를 사용하세요. openai/openai-latest 같은 제공자 접두사는 클라이언트 쪽 선택자 패턴이며 Capriole AI 모델 ID가 아닙니다.응답
Public model list
Show child attributes
Show child attributes
마지막 수정일 2026년 8월 18일
⌘I